Ruby: Data Fields

Ruby 3.3.7p123 (2025-01-15 revision be31f993d7fa0219d85f7b3c694d454da4ecc10b)

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- call : pm_match_write_node
- call_operator_loc : pm_call_and_write_node, pm_call_node, pm_call_operator_write_node, pm_call_or_write_node, pm_call_target_node, pm_index_and_write_node, pm_index_operator_write_node, pm_index_or_write_node
- callback : pm_lex_callback_t
- capa : RArray, rb_fdset_t, rb_io_internal_buffer, RString
- capacity : pm_buffer_t, pm_constant_id_list_t, pm_constant_pool_t, pm_newline_list_t, pm_node_list, pm_string_list_t
- case_keyword_loc : pm_case_match_node, pm_case_node
- cbuf : rb_io
- char_offset : rb_matchext_struct
- char_offset_num_allocated : rb_matchext_struct
- char_width : pm_encoding_t
- child : pm_constant_path_node, pm_constant_path_target_node
- class_keyword_loc : pm_class_node, pm_singleton_class_node
- closed : pm_scope
- closing_loc : pm_arguments_t, pm_array_node, pm_array_pattern_node, pm_block_node, pm_block_parameters_node, pm_call_node, pm_embedded_statements_node, pm_find_pattern_node, pm_hash_node, pm_hash_pattern_node, pm_index_and_write_node, pm_index_operator_write_node, pm_index_or_write_node, pm_index_target_node, pm_interpolated_match_last_line_node, pm_interpolated_regular_expression_node, pm_interpolated_string_node, pm_interpolated_symbol_node, pm_interpolated_x_string_node, pm_lambda_node, pm_match_last_line_node, pm_parentheses_node, pm_post_execution_node, pm_pre_execution_node, pm_regular_expression_node, pm_string_node, pm_symbol_node, pm_until_node, pm_while_node, pm_x_string_node
- collection : pm_for_node
- column : pm_line_column_t
- command_start : pm_parser
- comment_list : pm_parser
- common_whitespace : pm_lex_mode
- components : rb_memory_view_t
- conditions : pm_case_match_node, pm_case_node, pm_when_node
- consequent : pm_case_match_node, pm_case_node, pm_if_node, pm_rescue_node, pm_unless_node
- constant : pm_array_pattern_node, pm_find_pattern_node, pm_hash_pattern_node
- constant_path : pm_class_node, pm_module_node
- constant_pool : pm_parser
- constants : pm_constant_pool_t
- content_loc : pm_match_last_line_node, pm_regular_expression_node, pm_string_node, pm_x_string_node
- context : pm_context_node
- cref : rb_method_iseq_struct
- cref_or_me : vm_svar
- current : pm_parser
- current_context : pm_parser
- current_param_name : pm_parser
- current_scope : pm_parser
- current_string : pm_parser
- cursor : pm_regexp_parser_t, pm_token_buffer_t